# 2.0.11: /etc/dovecot.conf
# OS: Linux 2.6.18-164.el5 x86_64 Red Hat Enterprise Linux Server release 5.4 (Tikanga) 
auth_cache_size = 100 M
auth_cache_ttl = 100 secs
auth_debug = yes
auth_master_user_separator = *
auth_username_chars = abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ01234567890.-_@=
auth_worker_max_count = 100
dict/expire = sqlite:/etc/dovecot/dovecot-expire-sql.conf
disable_plaintext_auth = no
login_trusted_networks = 0.0.0.0/0
mail_debug = yes
mail_location = maildir:%h
mail_log_prefix = "%Us(%u)(%p): "
mailbox_idle_check_interval = 5 mins
maildir_stat_dirs = yes
maildir_very_dirty_syncs = yes
namespace {
  inbox = yes
  location = 
  prefix = INBOX.
  separator = .
  type = private
}
namespace {
  hidden = yes
  inbox = no
  list = no
  location = 
  prefix = 
  separator = .
  type = private
}
namespace {
  hidden = yes
  inbox = no
  list = no
  location = maildir:%h/expunged
  prefix = .EXPUNGED.
  separator = .
  type = private
}
passdb {
  args = system-auth
  driver = pam
}
passdb {
  args = /etc/dovecot-master.passwd
  driver = passwd-file
  master = yes
}
plugin/expire = .EXPUNGED.* 14
plugin/expire_dict = proxy::expire
plugin/lazy_expunge = .EXPUNGED.
plugin/mail_log_events = save
plugin/mail_log_fields = uid box msgid size flags
plugin/quota = maildir
plugin/quota_rule = *:storage=10G
plugin/quota_rule2 = Trash:storage=100M
plugin/sieve_before = /etc/dovecot-global-sieve.sieve
plugin/sieve_max_actions = 256
plugin/sieve_max_redirects = 64
plugin/sieve_max_script_size = 4M
protocols = pop3 imap
service auth {
  client_limit = 4116
  unix_listener /var/spool/postfix/private/auth {
    group = postfix
    mode = 0660
    user = postfix
  }
  unix_listener auth-master {
    group = virtual
    mode = 0600
    user = virtual
  }
}
service imap-login {
  client_limit = 1024
  inet_listener imap {
    address = *
    port = 143
  }
  process_limit = 10
  process_min_avail = 3
  service_count = 0
}
service imap {
  process_limit = 2048
  vsz_limit = 1 k
}
service pop3-login {
  client_limit = 1024
  inet_listener pop3 {
    address = *
    port = 110
  }
  process_limit = 10
  process_min_avail = 3
  service_count = 0
}
service pop3 {
  process_limit = 2048
  vsz_limit = 1 k
}
ssl = no
userdb {
  driver = passwd
}
verbose_proctitle = yes
protocol imap {
  imap_client_workarounds = delay-newmail tb-extra-mailbox-sep
  mail_max_userip_connections = 16
  mail_plugins = imap_quota quota notify zlib mail_log lazy_expunge expire
}
protocol pop3 {
  mail_plugins = quota notify zlib lazy_expunge expire
  pop3_client_workarounds = outlook-no-nuls oe-ns-eoh
  pop3_uidl_format = UID%u-%v
}
protocol lda {
  mail_plugins = sieve quota notify expire
  postmaster_address = MAILER-DAEMON
}
